from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XUIEvent(XEvent, Protocol):
    def getView(self) -> XAbstractView: ...
    def getDetail(self) -> int: ...
    def initUIEvent(self, typeArg: str, canBubbleArg: bool, cancelableArg: bool, viewArg: XAbstractView, detailArg: int) -> None: ...
